<?php

class ControllerModulevalorminimo extends Controller {

    private $error = array();

    public function index() {
        $this->load->language('module/valor_minimo');
        $this->document->setTitle($this->language->get('heading_title_fut'));
        $this->load->model('setting/setting');

        if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
            
			$this->model_setting_setting->editSetting('valor_minimo', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
			
        }
		
        $this->data['token'] = $this->session->data['token'];
        $this->data['cancel'] = $this->url->link('index', 'token=' . $this->session->data['token'], 'SSL');

        // declaração das variaveis, pegando o nome expresso na linguagem
        $this->data['button_save']      	 		   	 = $this->language->get('button_save');
        $this->data['button_cancel']  		 		   	 = $this->language->get('button_cancel');
        $this->data['heading_title']  		 		   	 = $this->language->get('heading_title');
        $this->data['text_valor']            	   	 	 = $this->language->get('text_valor');
		$this->data['text_valor_status']     			 = $this->language->get('text_valor_status');
		$this->data['text_valor_minimo_Habilita']   	 = $this->language->get('text_valor_minimo_Habilita');
		$this->data['text_valor_minimo_Desabilita'] 	 = $this->language->get('text_valor_minimo_Desabilita');
		
		//ate aqui
        if (isset($this->error['warning'])) {
            $this->data['error_warning'] = $this->error['warning'];
        } else {
            $this->data['error_warning'] = '';
        }
        
        if (isset($this->session->data['success'])) {
    	    $this->data['success'] = $this->session->data['success'];
            unset($this->session->data['success']);
	    } else {
	        $this->data['success'] = '';
	    }
        
		if (isset($this->request->post['valor_minimo'])) {
                $this->data['valor_minimo']= $this->request->post['valor_minimo'];
        }elseif($this->config->get('valor_minimo')) {
		        $this->data['valor_minimo']= $this->config->get('valor_minimo');
		}else{
			$this->data['valor_minimo']= 0;
        }
			
		if (isset($this->request->post['valor_minimo_status'])) {
                $this->data['valor_minimo_status']= $this->request->post['valor_minimo_status'];
        }elseif($this->config->get('valor_minimo_status')) {
		        $this->data['valor_minimo_status']= $this->config->get('valor_minimo_status');
		}else{
			$this->data['valor_minimo_status']=$this->data['text_valor_minimo_Desabilita'] ;
		}
			
			
		$this->data['breadcrumbs'] = array();
        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_home'),
            'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => false
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_valor'),
            'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('heading_title'),
            'href' => $this->url->link('module/valor_minimo', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['action'] = $this->url->link('module/valor_minimo', 'token=' . $this->session->data['token'], 'SSL');
        $this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');

        // chama a view
        $this->template = 'module/valor_minimo.tpl';
        $this->children = array(
            'common/header',
            'common/footer',
        );

        $this->response->setOutput($this->render());
    }

    private function validate() {
        if (!$this->user->hasPermission('modify', 'module/valor_minimo')) {
            $this->error['warning'] = $this->language->get('error_permission');
        }

        if (!$this->error) {
            return true;
        } else {
            return false;
        }
    }


  }
?>



